import { ChangeDetectorRef, Renderer } from '@angular/core';
import { AfterContentInit } from "@angular/core";
import { EventEmitter, ElementRef, QueryList } from '@angular/core';
import { DateRange } from "../../utilities/utilities";
import { DatePickerFieldStyler } from "./DatePickerField";
import { InfiniteScroller } from "../InfiniteScroller/InfiniteScroller";
export declare class StartDateField {
    element: ElementRef;
    protected _date: Date;
    _value: string;
    value: string;
    valueChange: EventEmitter<string>;
    ngModel: any;
    ngModelChange: EventEmitter<any>;
    date: Date;
    dateChange: EventEmitter<Date>;
    inputChange(value: any): void;
    focused(event: Event): void;
    select: EventEmitter<MouseEvent>;
    selected(event: MouseEvent): void;
    constructor(element: ElementRef);
}
export declare class EndDateField {
    element: ElementRef;
    protected _date: Date;
    _value: string;
    value: string;
    valueChange: EventEmitter<string>;
    ngModel: any;
    ngModelChange: EventEmitter<any>;
    date: Date;
    dateChange: EventEmitter<Date>;
    inputChange(value: any): void;
    focused(event: Event): void;
    select: EventEmitter<MouseEvent>;
    selected(event: MouseEvent): void;
    constructor(element: ElementRef);
}
export declare class DateRangePicker implements AfterContentInit {
    _minDate: Date;
    _maxDate: Date;
    _startDate: Date;
    _endDate: Date;
    _selectedDate: Date;
    _dateTarget: boolean;
    calendarDisplayed: boolean;
    calendarX: string;
    calendarY: string;
    calendarHeight: string;
    calendarMonths: Date[];
    _preGenMonths: number;
    changeDetector: ChangeDetectorRef;
    renderer: Renderer;
    initialScroll: boolean;
    valueChange: EventEmitter<any>;
    value: any;
    minDate: Date | string;
    maxDate: Date | string;
    dateFilter: (d: Date) => boolean;
    calendarScroller: InfiniteScroller;
    startDateField: StartDateField;
    endDateField: EndDateField;
    dateFieldIcons: QueryList<DatePickerFieldStyler>;
    selectedDate: Date;
    inputStartDate: string;
    inputEndDate: string;
    startDateChange: EventEmitter<{}>;
    startDate: any;
    endDateChange: EventEmitter<{}>;
    endDate: any;
    canPrevMonth: boolean;
    canNextMonth: boolean;
    constructor(changeDetector: ChangeDetectorRef, renderer: Renderer);
    ngOnInit(): void;
    ngAfterContentInit(): void;
    generateMonths(): void;
    scrollerReset(): void;
    toggleCalendar(event: Event): void;
    showCalendar(event: Event): void;
    hideCalendar(): void;
    selectDate(value: Date, target?: boolean): void;
    handleRangeInput(value: any): DateRange;
    focusStartDate(): void;
    focusEndDate(): void;
    checkStartDateTarget(): boolean;
    checkEndDateTarget(): boolean;
    disablePrev(): boolean;
    disableNext(): boolean;
    scrollPrevMonth(): void;
    scrollNextMonth(): void;
    addNextMonth(): void;
    addPrevMonth(): void;
}
