"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var core_1 = require('@angular/core');
var demoUtilities_1 = require('../../utilities/demoUtilities');
var CarouselDemo = (function () {
    function CarouselDemo() {
        this.carouselImages = [
            "images/carouselImages/beach.png",
            "images/carouselImages/river.jpg",
            "images/carouselImages/windmill.jpg"
        ];
        this.attributes = [
            new demoUtilities_1.Attribute('interval', 'number', '0', 'Time in ms before auto-advancing slide. If set to 0 slides will not auto-advance')
        ];
        this.attributesColumns = demoUtilities_1.AttributeColumns;
        this.attributesSort = demoUtilities_1.AttributesDefaultSort;
    }
    CarouselDemo = __decorate([
        core_1.Component({
            template: "\n    <div class=\"row\"><div class=\"col-md-12\"><div class=\"card card-block\"><h2 class=\"card-title\">Carousel</h2><p class=\"card-text\">Carousel is a custom component to display content in a rotating manner</p></div></div></div><div class=\"row\"><carousel interval=\"10000\" class=\"col-md-6\"><div *ngFor=\"let image of carouselImages\" class=\"carousel-item\"><img src=\"{{image}}\"></div></carousel><carousel interval=\"10000\" class=\"col-md-6\"><div *ngFor=\"let image of carouselImages\" class=\"carousel-item\"><img src=\"{{image}}\"><div class=\"carousel-caption\"><h3>Some Title</h3><p>Path: {{image}}</p></div></div></carousel></div><div class=\"source\"><h3>Import</h3><pre>\n    <code class=\"language-javascript\" code-highlight>\n    import {{'{'}}CAROUSEL_PROVIDERS{{'}'}} from 'fuel-ui/fuel-ui';\n    </code>\n    </pre><h3>Getting Started</h3><p>Carousel is a custom element to display a slideshow of cycling elements</p><p>Swipe left and swipe right events are supported if hammerjs has been included.</p><h3>Usage</h3><tabset><tab heading=\"Images Only\"><pre>\n    <code class=\"language-markup\" code-highlight>\n    &lt;carousel&gt;\n        &lt;div class=\"carousel-item\"&gt;\n            &lt;img src=&quot;image1.jpg&quot; class=&quot;carousel-item&quot; /&gt;\n        &lt;/div&gt;\n        &lt;div class=\"carousel-item\"&gt;\n            &lt;img src=&quot;image2.jpg&quot; class=&quot;carousel-item&quot; /&gt;\n        &lt;/div&gt;\n        &lt;div class=\"carousel-item\"&gt;\n            &lt;img src=&quot;image3.jpg&quot; class=&quot;carousel-item&quot; /&gt;\n        &lt;/div&gt;\n    &lt;/carousel&gt;\n    </code>\n    </pre></tab><tab heading=\"Images With Captions\"><pre>\n    <code class=\"language-markup\" code-highlight>\n    &lt;carousel&gt;\n        &lt;div class=&quot;carousel-item&quot;&gt;\n            &lt;img src=&quot;image1.jpg&quot; /&gt;\n            &lt;div class=&quot;carousel-caption&quot;&gt;\n                &lt;h3&gt;Some Title 1&lt;/h3&gt;\n                &lt;p&gt;Some caption 1&lt;/p&gt;\n            &lt;/div&gt;\n        &lt;/div&gt;\n        &lt;div class=&quot;carousel-item&quot;&gt;\n            &lt;img src=&quot;image2.jpg&quot; /&gt;\n            &lt;div class=&quot;carousel-caption&quot;&gt;\n                &lt;h3&gt;Some Title 2&lt;/h3&gt;\n                &lt;p&gt;Some caption 2&lt;/p&gt;\n            &lt;/div&gt;\n        &lt;/div&gt;\n    &lt;/carousel&gt;\n    </code>\n    </pre></tab></tabset><h3>Attributes</h3><table-sortable [columns]=\"attributesColumns\" [data]=\"attributes\" [sort]=\"attributesSort\">Loading table...</table-sortable></div>\n  "
        }), 
        __metadata('design:paramtypes', [])
    ], CarouselDemo);
    return CarouselDemo;
}());
exports.CarouselDemo = CarouselDemo;

//# sourceMappingURL=Carousel.Demo.js.map
